This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 835076 - (CVE-2012-3355) CVE-2012-3355 rhythmbox (context plug-in): Insecure temporary directory use by loading template files for 'Album', 'Lyrics', and 'Artist' tabs
CVE-2012-3355 rhythmbox (context plug-in): Insecure temporary directory use b...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110306,reported=2...
: Security
Depends On: 835080
Blocks: 835082
  Show dependency treegraph
 
Reported: 2012-06-25 09:30 EDT by Jan Lieskovsky
Modified: 2016-06-10 17:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-06-25 09:30:40 EDT
An insecure temporary directory use flaw was found in the way Rhythmbox, an integrated music management application based on the powerful GStreamer media framework, performed loading of HTML template files, used for rendering of 'Album', 'Lyrics', and 'Artist' tabs. Previously the '/tmp/context' directory has been searched as module directory when loading the HTML template files. A local attacker could use this flaw to conduct symbolic link attacks (possibly leading to attacker's ability to execute arbitrary HTML template file in the context of user running the rhythmbox executable).

Upstream bug report:
[1] https://bugzilla.gnome.org/show_bug.cgi?id=678661

References:
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=616673
Comment 1 Jan Lieskovsky 2012-06-25 09:38:56 EDT
This issue did NOT affect the version of the rhythmbox package, as shipped with Red Hat Enterprise Linux 5, as it did NOT include the context plug-in yet.

--

This issue affects the version of the rhythmbox package, as shipped with
Red Hat Enterprise Linux 6.

--

This issue affects the versions of the rhythmbox package, as shipped with Fedora release of 16 and 17. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-06-25 09:39:31 EDT
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/06/25/5
Comment 3 Jan Lieskovsky 2012-06-25 09:40:34 EDT
Created rhythmbox tracking bugs for this issue

Affects: fedora-all [bug 835080]
Comment 4 Kurt Seifried 2012-06-25 13:05:56 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/06/25/7
Comment 6 Vincent Danen 2016-06-10 17:45:27 EDT
Statement:

This issue does not affect the version of rhythmbox as shipped with Red Hat Enterprise Linux 5. This issue affects the version of rhythmbox as shipped with Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.